Skip to main content
`Ctrl`+`K`

# MatMPISELLGetLocalMatCondensed

Creates a `MATSEQSELL` matrix from an `MATMPISELL` matrix by taking all its local rows and NON-ZERO columns

## Synopsis

    #include "petscmat.h"
    #include "petscmat.h"
    PetscErrorCode MatMPISELLGetLocalMatCondensed(Mat A, MatReuse scall, IS *row, IS *col, Mat *A_loc)

Not Collective

## Input Parameters

- A - the matrix

- scall - either `MAT_INITIAL_MATRIX` or `MAT_REUSE_MATRIX`

- row - index sets of rows to extract (or `NULL`)

- col - index sets of columns to extract (or `NULL`)

## Output Parameter

- A_loc - the local sequential matrix generated

## See Also

`Mat`, `MATSEQSELL`, `MATMPISELL`, `MatGetOwnershipRange()`, `MatMPISELLGetLocalMat()`

## Level

advanced

## Location

src/mat/impls/sell/mpi/mpisell.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages